Cannot build plugin

Hi,

public class ASNFileImpl extends PsiFileImpl implements ASNFile {   public ASNFileImpl(@NotNull FileViewProvider fileViewProvider) {     super(fileViewProvider);   }   @NotNull   public FileType getFileType() {     return ASNFileType.ASN_FILE_TYPE;   }   public void accept(@NotNull PsiElementVisitor psiElementVisitor) {   } }



I getting the below error while building the above class:
  cannot access com.intellij.openapi.ui.Queryable

  class file for com.intellij.openapi.ui.Queryable not found




The PsiFileImpl class implements the com.intellij.openapi.ui.Queryable interface, but idea.jar package does not contain this interface. May be I must to update jdk or what?

P.S. Using IDEA IU-93.94, ideaIU-9.0.1-jdk15 package
2 comments
Comment actions Permalink

Hello Oleg,

Please make sure that you use idea.jar and openapi.jar from the same IDEA
version. The Queryable interface first appeared in IDEA 9.0.2, and can be
found in openapi.jar.

 extends PsiFileImpl implements ASNFile {
> public ASNFileImpl(@NotNull FileViewProvider fileViewProvider) {
> super(fileViewProvider);
> }
> @NotNull
> public FileType getFileType() {
> return ASNFileType.ASN_FILE_TYPE;
> }
> public void accept(@NotNull PsiElementVisitor psiElementVisitor) {
> 
> }
> }]]>

I getting the below error while building the above class:
cannot access com.intellij.openapi.ui.Queryable
class file for com.intellij.openapi.ui.Queryable not found
The PsiFileImpl class implements the com.intellij.openapi.ui.Queryable
interface, but idea.jar package does not contain this interface. May
be I must to update jdk or what?

P.S. Using IDEA IU-93.94, ideaIU-9.0.1-jdk15 package

---
Original message URL:
http://devnet.jetbrains.net/message/5267263#5267263

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Thanks, Dmitry.
It works.

0

Please sign in to leave a comment.